* Figure 5.4
clear all
set more off

use Figure5.4.dta, clear

* change to percentages:
replace permissive=100*permissive
replace authoritative=100*authoritative
replace authoritarian=100*authoritarian

* Graph: 
graph bar permissive authoritative authoritarian, over(order, relabel (1 "Nonreligious" 2 "Catholic" 3 "Protestant" 4 "Muslim" 5 "Buddhist")) bar(1, color(black)) bar(2, color(gs12)) bar(3, color(gray)) ///
ytitle("Probability to adopt each parenting style (%)") ylabel(0 (10) 60) legend(label (1 "Permissive")) legend(label (2 "Authoritative")) legend(label (3 "Authoritarian")) legen(rows(1)) blabel(total) graphregion(color(white))

graph save "Figure5.4_fv.gph", replace
