* Regression for Figure 5.4

clear all 
set more off 

use WVS_OECD, clear

gen non_religious=0 if A006!=-4
replace non_religious=. if F025<0
replace non_religious=. if wave==1
replace non_religious=1 if F025==0 & (A006==3|A006==4)

*CATHOLIC
gen catholic=0
replace catholic=. if F025<0
replace catholic=1 if F025==15|F025==29|F025==64

*OTHER CHRISTIAN (Protestant, Orthodox etc.)
gen other_christian=0
replace other_christian=. if F025<0
replace other_christian=1 if F025==62|F025==52|F025==5|F025==7|F025==19|F025==20|F025==46|F025==61|F025==66|F025==68|F025==78|F025==89| ///
F025==360001|F025==528001|F025==528002|F025==17|F025==28|F025==55|F025==18|F025==30|F025==44|F025==51|F025==81|F025==25|F025==48|F025==9|F025==60

*MUSLIM
gen muslim=0
replace muslim=. if F025<0
replace muslim=1 if F025==49

*BUDDHIST
gen buddhist=0
replace buddhist=. if F025<0
replace buddhist=1 if F025==12

*OTHER RELIGIONS
gen other_religions=0
replace other_religions=. if F025<0 
replace other_religions=1 if F025==0 & (non_religious==0)
replace other_religions=1 if F025>0 & (non_religious==0 & catholic==0 & other_christian==0 & muslim==0 & buddhist==0)


*REFERENCE GROUP: ATHEISTS/NON RELIGIOUS
mlogit parenting  catholic other_christian muslim buddhist other_religions college compl_highsc age age_sq female lgdp_pc i.country_num i.wave if wave>1  [pweight=S017], vce(cluster country) base(1) base rrr
